body {
  margin: 0;
  background-image: url('./koval-bg.jpg'); 
  background-size: cover;
  background-repeat: no-repeat;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.bot-card {
  background: #1e1a1a;
  width: 100%;
  max-width: 420px; 
  padding: 40px 24px;
  text-align: center;
  border-radius: 20px;
  box-shadow: 0 4px 20px rgba(0,0,0,0.08);
}

.bot-avatar {
  width: 160px;
  height: 160px;
  border-radius: 50%;
  margin-bottom: 20px;
  object-fit: cover;
  box-shadow: 0 8px 20px rgb(247 238 238 / 8%);
}

.bot-name {
  font-size: 32px;
  font-weight: bold;
  margin: 0 0 4px 0;
  color: white;
}

.bot-status {
  font-size: 18px;
  font-weight: 600;
  color: #a0a4a7;
  margin-block: 14px;
}

.bot-subscriber {
  font-size: 16px;
  color: #c6bebe;;
  margin: 0 0 20px 0;   
}

.description {
  font-size: 18px;
  line-height: 1.5;
  color: white;
  margin-bottom: 32px;
  padding: 0 10px;
}

.tg-button {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #2481cc;
    color: #ffffff;
    text-decoration: none;
    border: none;
    width: 80%;
    padding: 14px;
    font-size: 14px;
    font-weight: 500;
    border-radius: 30px;
    cursor: pointer;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    transition: ease 0.2s;
    margin-inline: auto;
}

.tg-button:hover {
  background-color: #0d5894;
  border: 1px solid #c2d9eb;
  transform: scale(0.9);
}

.tg-button:active {
  background-color: #0d5894;
  border: 1px solid #c2d9eb;
  transform: scale(0.9);
}

@media (max-width: 480px) {
  body { 
    background-color: #7e6565;
    padding-inline: 20px; 
    height: 100dvh;
    }
    .bot-card {
      height: 70%;
      padding: 60px 24px 40px 24px;
    }
    .bot-avatar {
      margin-bottom: 30px;
    }
    .bot-subscriber {
      margin-bottom: 40px;
    }
    .description {
      margin-bottom: 62px;
    }
}
